import { Framebuffer, Texture2D } from '@luma.gl/core';
import type { Effect, Layer, PreRenderOptions } from '@deck.gl/core/typed';
export default class CollideEffect implements Effect {
    id: string;
    props: null;
    useInPicking: boolean;
    order: number;
    private channels;
    private collidePass?;
    private collideFBOs;
    private dummyCollideMap?;
    private lastViewport?;
    preRender(gl: WebGLRenderingContext, { effects: allEffects, layers, layerFilter, viewports, onViewportActive, views, pass, preRenderStats }: PreRenderOptions): void;
    private _render;
    /**
     * Group layers by collideGroup
     * Returns a map from collideGroup to render info
     */
    private _groupByCollideGroup;
    getModuleParameters(layer: Layer): {
        collideFBO: Framebuffer;
        dummyCollideMap: Texture2D;
    };
    cleanup(): void;
    createFBO(gl: WebGLRenderingContext, collideGroup: string): void;
    destroyFBO(collideGroup: string): void;
}
//# sourceMappingURL=collide-effect.d.ts.map